<?php

//conexao com o softcom
require 'conexaoSQL.php';


class Softcom{
	
public function BuscarFabricante()

{

try{
    $Conexao = Conexao::getConnection();
    $query = $Conexao->query("SELECT GRP_DESCRI FROM Fabricante;");

	return $retorno = $query->fetchAll();

}catch(Exception $e){

  echo $e->getMessage();
  exit;
}

	
}


//listar usuarios

public function BuscarUsuarios()

{

try{
    $Conexao = Conexao::getConnection();
    $query = $Conexao->query("SELECT * FROM [Cadastro de Vendedores] WHERE Desativado = 0 AND Nome IS NOT NULL ORDER BY Nome;");

	return $retorno = $query->fetchAll();

}catch(Exception $e){

  echo $e->getMessage();
  exit;
}

	
}


//desfazer o fechamento do caixa ou seja excluir o fechamento para que seja feito outro
public function EcluirCaixa($data,$loja,$usuario)

{

try{
		//comando update pdo
		$connection    = Conexao::getConnection();
		$sql = "
		UPDATE Caixa_FuncoesRegistros
		SET Fechado = 0 , DataFechamento = NULL, UsuarioFechamento = NULL
		WHERE
		Datas = '$data'
		AND LojaOrigem = '$loja'
		AND Operador = '$usuario';";
		//execulta
		$connection->query($sql);
		
		$this->ExluirSangria($data,$usuario);

}catch(Exception $e){

  echo $e->getMessage();
  exit;
}

	
}

//excluir a sangria do fechamento do caixa porque ao desfazer o fechamento precisa excluir tambem essa sangria
public function ExluirSangria($data,$usuario)

{

try{
		//comando update pdo
		$connection    = Conexao::getConnection();
		$sql = "DELETE FROM [Contas a pagar2]
				WHERE Histórico LIKE '%FECHAMENTO%' AND Usuario = $usuario AND [Data de Pagamento] = '$data';";
		//execulta
		$connection->query($sql);

}catch(Exception $e){

  echo $e->getMessage();
  exit;
}

	
}


public function BuscarPrecoProdutos()
{

try{
    $Conexao = Conexao::getConnection();
    $query = $Conexao->query("SELECT 

 	PRECO_LOJA.CodBarras,
	PRECO_LOJA.[Código da Mercadoria] AS CODMEC,
	MERCADORIAS.Mercadoria,
	PRECO_LOJA.PrecoGrade,
	PRECO_LOJA.loja,
	PRECO_LOJA.[Código da MercadoriaLoja]

  	FROM [Cadastro de mercadoriasLojas] AS PRECO_LOJA
  	LEFT JOIN [Cadastro de Mercadorias] AS MERCADORIAS
  	ON MERCADORIAS.[Código da Mercadoria] = PRECO_LOJA.[Código da Mercadoria]
	ORDER BY PRECO_LOJA.[Código da Mercadoria]
	;");

	return $retorno = $query->fetchAll();

}catch(Exception $e){

  echo $e->getMessage();
  exit;
}

	
}




























}






